﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace ToolBarMVVM.ViewModels
{
    public class MainViewModel : BaseViewModel
    {
        public ObservableCollection<BaseViewModel> Items
        {
            get;
            private set;
        }

        public MainViewModel()
        {
            Items = GenerateToolBarItems();
        }

        private ObservableCollection<BaseViewModel> GenerateToolBarItems()
        {
            ButtonViewModel newMailButton = new ButtonViewModel() { ImagePath = "../Images/newMailMessage.png" };
            //SeparatorViewModel separator = new SeparatorViewModel();
            ButtonViewModel printButton = new ButtonViewModel() { ImagePath = "../Images/print.png" };
            ButtonViewModel moveToFolderButton = new ButtonViewModel() { ImagePath = "../Images/moveToFolder.png" };
            ButtonViewModel deleteButton = new ButtonViewModel() { ImagePath = "../Images/delete.png" };
            ButtonViewModel replyButton = new ButtonViewModel() { ImagePath = "../Images/reply.png", Text = "Reply" };
            ButtonViewModel categorizeButton = new ButtonViewModel() { ImagePath = "../Images/categorize.png" };
            ButtonViewModel followUpButton = new ButtonViewModel() { ImagePath = "../Images/followUp.png" };
            ButtonViewModel sendReceiveButton = new ButtonViewModel() { ImagePath = "../Images/sendReceive.png", Text = "Send/Receive" };
            //TextBoxViewModel textBox = new TextBoxViewModel() { Text = "Search..." };
            ButtonViewModel searchButton = new ButtonViewModel() { ImagePath = "../Images/google.png", Text = "Search" };
            ButtonViewModel helpButton = new ButtonViewModel() { ImagePath = "../Images/help.png", Text = "Help" };

            ObservableCollection<BaseViewModel> items = new ObservableCollection<BaseViewModel>();

            items.Add(newMailButton);
           // items.Add(separator);
            items.Add(printButton);
            items.Add(moveToFolderButton);
            items.Add(deleteButton);
            //items.Add(separator);
            items.Add(replyButton);
           // items.Add(separator);
            items.Add(categorizeButton);
            items.Add(followUpButton);
          //  items.Add(separator);
            items.Add(sendReceiveButton);
          //  items.Add(textBox);
            items.Add(searchButton);
            items.Add(helpButton);

            return items;
        }
    }
}
